net.corda.core.contracts

## Class TypeOnlyCommandData

- net.corda.core.contracts.TypeOnlyCommandData

- All Implemented Interfaces:
    CommandData
  Direct Known Subclasses:
    Commands.Create, Commands.Create, Commands.Issue, Commands.Move, Commands.Move, Commands.Move, Commands.Redeem, Commands.Redeem

      public class TypeOnlyCommandData
      implements CommandData

  Commands that inherit from this are intended to have no data items: it's only their presence that matters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOnlyCommandData()` Commands that inherit from this are intended to have no data items: it's only their presence that matters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`

- - ### Constructor Detail

    - #### TypeOnlyCommandData

          public TypeOnlyCommandData()

      Commands that inherit from this are intended to have no data items: it's only their presence that matters.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### hashCode

          public int hashCode()